summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2021-09-12 22:52:35 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2021-09-13 07:18:46 +0200
commitd167ad1afc483c81cc808ca1b794c1dd2baba773 (patch)
treec86ebfbf2c4c5e07d7e3f0552220937052ab304f /kde-frameworks
parentkde-frameworks/threadweaver: 5.86.0 version bump (diff)
downloadgentoo-d167ad1afc483c81cc808ca1b794c1dd2baba773.tar.gz
gentoo-d167ad1afc483c81cc808ca1b794c1dd2baba773.tar.bz2
gentoo-d167ad1afc483c81cc808ca1b794c1dd2baba773.zip
kde-frameworks/kactivities: 5.86.0 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks')
-rw-r--r--kde-frameworks/kactivities/Manifest1
-rw-r--r--kde-frameworks/kactivities/kactivities-5.86.0.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/kde-frameworks/kactivities/Manifest b/kde-frameworks/kactivities/Manifest
index 8d44c7f0111..f86d7aee3f8 100644
--- a/kde-frameworks/kactivities/Manifest
+++ b/kde-frameworks/kactivities/Manifest
@@ -1,2 +1,3 @@
DIST kactivities-5.82.0.tar.xz 71356 BLAKE2B c83b384f4aed32554dfd96951a9efc22cd8cd6c644a674b8d492e571ebf261201be78ac2834722f12fb43822ff17741054e7153c279a8ea7bdf6318cecef20bd SHA512 f1da5447405e53a4c7d11c0ff14ee80c725f07df929ba6b4380239675e2efef21bb2e6e0d028146ad621440b01f76314549779a3f7a79e639537fa7bb8e96729
DIST kactivities-5.85.0.tar.xz 71328 BLAKE2B 59f01075a0cc785061251ab9da1cde122b0bdd7cd02c870f875513c54e8a008e3069952e860b60399b714f30eb15229f2581557948d951d47eff038ce3393c91 SHA512 62769a6a0f8d243e9774c819658b5e451c0d1fa4910987d7b07d809d61d63355300d5ef29f91193f62f66d032539066286ac11b4da87e7b60eac4277df68c0ab
+DIST kactivities-5.86.0.tar.xz 71508 BLAKE2B a8892574ab18f244d3e787451019e082339c67d27ed75ef94d9d55ab18d96f880807488bed016a5c3eb3876c21b09f27e50fbaf01c4b6e5a57e7482751a9ea8d SHA512 cbe718ca966b5ed1f8a6590a07babea69289cef8cdbf96defa42604988bc14b0a6cb235b34a6219682972ab8cde6372645168ca2f55385043cae37b57a582cae
diff --git a/kde-frameworks/kactivities/kactivities-5.86.0.ebuild b/kde-frameworks/kactivities/kactivities-5.86.0.ebuild
new file mode 100644
index 00000000000..426ccf34ebb
--- /dev/null
+++ b/kde-frameworks/kactivities/kactivities-5.86.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PVCUT=$(ver_cut 1-2)
+PLASMA_MINIMAL=5.16.5
+QTMIN=5.15.2
+inherit ecm kde.org
+
+DESCRIPTION="Framework for working with KDE activities"
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5[widgets]
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtsql-${QTMIN}:5
+ =kde-frameworks/kconfig-${PVCUT}*:5
+ =kde-frameworks/kcoreaddons-${PVCUT}*:5
+"
+RDEPEND="${COMMON_DEPEND}
+ >=kde-plasma/kactivitymanagerd-${PLASMA_MINIMAL}:5
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/boost-1.54
+"